<?php
/*
Template Name: 引导页面
*/
?>
<?php get_header(); ?>
<script type="text/javascript">
	$(document).ready(function(){
		$("#slider-home").responsiveSlides({
			auto: true,
			pager: true,
			speed: 1400,
			maxwidth: 1920
		});
	});
</script>

<style type="text/css">
body{
	background: #fff;
}
#content {
    width: 100%;
	background: #fff;
    margin: 0 auto 10px;
}
#primary {
	width: 100%;
	box-shadow: none;
}
#primary .page {
	background: transparent !important;
	padding: 0 !important;
	border: none !important;
	box-shadow: none !important;
}
.breadcrumb, #scroll {
	display: none;
}
#slideshow {
    margin: 0;
}
.home-content {
	width: 1080px;
	margin: 30px auto 20px;
	overflow: hidden;
}
.single-content {
	float: left;
	width: 60%;
	font-size: 15px;
	margin: 0;
	overflow: hidden;
	padding: 15px 30px 15px 0;
	border-right: 1px solid #ddd;
}
.single-content h3 {
	font-size: 15px;
	padding: 0 0 0 20px;
}
.page-home {
	width: 40%;
	font-size: 15px;
	float: right;
	padding: 15px 15px 15px 30px;
}
.page-home h2 {
	font-size: 15px;
	margin: 0 0 10px 0;
}
.page-home ul li {
	width: 99%;
	line-height: 190%;
	white-space: nowrap;
	word-wrap: normal;
	text-overflow: ellipsis;
	overflow: hidden;
}
@media screen and (max-width: 1080px) {
	.home-content {
		width: 99%;
	}
}
@media screen and (max-width: 900px) {
	.home-content {
		width: 99%;
	}
	.single-content {
		width: 100%;
		margin: 0 0 10px 0;
		padding: 15px;
		border-right: none;
		border-bottom: 1px solid #ddd;
	}
	.page-home {
		width: 100%;
		float: inherit;
	}
}
/** 图片 **/
.guide-main-h {
	background: #fff;
	margin: 0 0 20px 0;
	padding: 0px;
	border: 1px solid #ddd;
	border-radius: 2px;
}
.guide-main-img {
	max-width: 100%;
 	width: auto;
	height: auto;
    overflow: hidden;
	transition-duration: .5s;
}
.guide-main-img a img {
	float: left;
	max-width: 100%;
 	width: auto;
	height: auto;
	-webkit-transition: -webkit-transform .3s linear;
	-moz-transition: -moz-transform .3s linear;
	-o-transition: -o-transform .3s linear;
	transition: transform .3s linear
}
.guide-main-img:hover a img {
	transition: All 0.7s ease;
	-webkit-transform: scale(1.3);
	-moz-transform: scale(1.3);
	-ms-transform: scale(1.3);
	-o-transform: scale(1.3);
}
.guide-main-title {
	text-align: center;
	line-height: 30px;
	margin: 0 10px 5px 10px;
	white-space: nowrap;
	word-wrap: normal;
	text-overflow: ellipsis;
	overflow: hidden;
}
.guide-home {
	margin: 0 -10px;
}
.guide-home .xl4 {
	position: relative;
	min-height: 1px;
	padding: 0 10px;
	transition-duration: .5s;
}
@media screen and (min-width:320px) {
	.xl4 {
		float: left;
		width: 50%;
	}
}
@media screen and (min-width:900px) {
	.xl4 {
		width: 25%;
	}
}
@media screen and (max-width:900px) {
	.xl4 {
		width: 25%;
	}
}
@media screen and (max-width: 480px) {
	.xl4 {
		width: 50%;
	}
}
@media screen and (max-width:320px) {
	.xl4 {
		width: 100%;
	}
}
</style>

<div id="primary" class="content-reg">
	<main id="main" class="site-main" role="main">
		<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
			<div id="slideshow">
				<ul class="rslides" id="slider-home">
					<?php
						$args = array(
							'posts_per_page' => zm_get_option('slider_n'),
							'meta_key' => 'guide_img',
							'ignore_sticky_posts' => 1
						);
						query_posts($args);
					?>
					<?php while (have_posts()) : the_post(); ?>
					<?php $image = get_post_meta($post->ID, 'guide_img', true); ?>
						<li>
							<a href="<?php the_permalink() ?>" rel="bookmark"><img src="<?php echo $image; ?>" alt="<?php the_title(); ?>" /></a>
						</li>
					<?php endwhile; ?>
					<?php wp_reset_query(); ?>
				</ul>
			</div>

			<div class="home-content">
				<div class="guide-home">
					<?php query_posts( array ( 'meta_key' => guide_image, 'showposts' => 4, 'ignore_sticky_posts' => 1, 'post__not_in' => $do_not_duplicate ) ); while ( have_posts() ) : the_post(); ?>
					<div class="xl4">
						<div class="guide-main-h">
							<figure class="guide-main-img">
								<?php $image = get_post_meta($post->ID, 'guide_image', true); ?>
								<a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title(); ?>"><img src="<?php echo $image; ?>" alt="<?php the_title(); ?>"/></a>
							</figure>
							<?php the_title( sprintf( '<h3 class="guide-main-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h3>' ); ?>
						</div>
					</div>
					<?php endwhile; ?>
					<?php wp_reset_query(); ?>
					<div class="clear"></div>
				</div>

				<div class="entry-content">
					<?php while ( have_posts() ) : the_post(); ?>
					<div class="single-content">
						<?php the_content(); ?>
					</div> <!-- .single-content -->
				</div><!-- .entry-content -->

				<div class="page-home">
					<h2>最新文章</h2>
					<ul>
						<?php $i = 1; $rand_posts = get_posts('numberposts=8&category=&orderby=date');foreach($rand_posts as $post) : ?>
						<?php if($i < 4) { ?>
							<li><span class='li-number'><?php echo($i++); ?></span><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a></li>
						<?php } else { ?>
							<li><span class='li-numbers'><?php echo($i++); ?></span><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a></li>
						<?php } ?>
						<?php endforeach;?>
					</ul>
				</div>
				<div class="clear"></div>
			</div>
			<div class="clear"></div>
		</article>
	<?php endwhile; ?>
	</main>
</div>

<?php get_footer(); ?> 